commit a752b78bc7d3222382bfa1f6bd511e1c5e20af51
Author: Marc Souviron <marc.souviron@vous-et-nous.com>
Date:   Sun Aug 25 17:09:47 2013 +0200

    Amélioration du style et apports de nouveaux points de référence.

diff --git a/creerPano.php b/creerPano.php
index b335fc9..6c581ab 100644
--- a/creerPano.php
+++ b/creerPano.php
@@ -1,62 +1,61 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
-   <head>
-   <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
-   <link rel="stylesheet" media="screen" href="css/ttn_style_1.css" />
-   <title>creation d'un panoramique</title>
-    	<script type="text/javascript">
-    	
-		function showLoad(outgoingLink){
- 
-		var link = document.getElementById(outgoingLink);
-		var loader = document.createElement('img');
-		loader.id = 'loader';
-		loader.src ='images/loader2.gif';
-		var li = link.parentNode;
-		li.appendChild(loader);
-		}
-    	</script>
-    </head>
-    <body>
-	    <img id="top" src="images/top.png" alt="">
-		<div id="page_container">
-		    <h1><img src="images/tetaneutral.svg"></h1>
-		  	<h2>Listes des photos sur le serveur</h2> 
-		  	<p>Cliquez pour générer un panorama</p>  
-       		<div id="containerList">
-		    	<ul>
-		    	
-	       		<?php
-                        
-	       		$base_dir = "upload/"; // modifier selon l'arborescence.
-				    try
-					{
-                                            // On ouvre le dossier ou se trouve les images
-					    $dir_fd = opendir($base_dir); 
-					    
-					    $i=0;         // Garantir l'unicité du id des liens.
-					    while (false !== ($image_name = readdir($dir_fd))) {
-					    	$dir = $base_dir.$image_name;   
-					    	
-							if ($image_name != "." && $image_name != "..")   // N'affiche pas les répertoires parents et courant.
-							{
-							     printf('<li><a href="genererPano.php?name=%s" id="link_'.$i.'" onclick="showLoad(this.id);return true;">%s</a></li>'."\n",$image_name,$image_name);
-							     $i++; 
-							}  
-							      
-					        	
-					    }
-					}
-					catch(Exception $e)
-					{
-						die('Erreur : '.$e->getMessage());
-					} 
-	       		?>
-       			</ul>
-    		</div>
-    		<div id="footer"><a href="./index.php">Retour à l'index</a></div>
-			
-    	</div>
-    	<img id="bottom" src="images/bottom.png" alt="">
-    </body>
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
+  <head>
+    <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+    <title>Liste des images transformables en panoramas</title>
+    <link rel="stylesheet" media="screen" href="css/index_style.css"/>
+  </head>
+  <body>
+    <header>
+      <h1><img src="images/tetaneutral.svg" alt="tetaneutral.net"/></h1>
+    </header>
+    <section id="main">
+      <h2>Liste des images transformables en panoramas</h2>
+      <?php
+require 'class/utils.class.php';
+utils::init();
+
+if(isset($_GET['dir']) && is_dir($_GET['dir'])) {
+  $base_dir = $_GET['dir']; 
+} else {
+  $base_dir='upload';
+}
+
+try {
+  $finfo = finfo_open(FILEINFO_MIME_TYPE); // Retourne le type mime du fichier
+  $did = opendir($base_dir);
+
+  echo "<ul id=\"pano-list\">\n";
+	
+  while(false !== ($filename = readdir($did))) {
+    if (!preg_match('/^\.\.?$/', $filename)) {
+	$ftype = finfo_file($finfo, $base_dir.'/'.$filename);
+	if (isset($ftype)) {
+	  $cmt = $filename;
+	  $title = sprintf(' title="fichier de type %s"', $ftype);
+	} else {
+	  $cmt = sprintf('<samp>%s</samp>', $filename);
+	  $title = ''; 
+	}
+	printf ('<li%s><a href="genererPano.php?dir=%s&amp;name=%s">%s</a></li>'."\n", $title, $base_dir, $filename, $cmt);
+      }
+  }
+  echo "</ul>\n";
+  finfo_close($finfo);
+} catch (Exception $e) {
+  printf("<h3 class=\"warning\">désolé mais aucun site n'est disponible...</h3>\n");
+}
+?>
+      <p id="interaction">
+	<a href="." title="Revenir à la liste des panoramas">Retour</a>
+      </p>
+    </section>
+    <footer class="validators"><samp>
+      page validée par
+      <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg"
+							       alt="Valid XHTML" title="xHTML validé !"/></a>
+      <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg"
+								      alt="CSS validé !" title="CSS validé !"/></a>
+    </samp></footer>
+  </body>
 </html>
diff --git a/css/index_style.css b/css/index_style.css
index 465f670..ad5b829 100644
--- a/css/index_style.css
+++ b/css/index_style.css
@@ -22,7 +22,10 @@ h1 {
     padding:0.2rem;
 }
 
-img {vertical-align:middle}
+img {
+    vertical-align:middle;
+    height:1em;
+}
 
 h2 {
     padding:0.5em 1em;
@@ -83,9 +86,17 @@ footer {
   margin:1rem 0
 }
 
-.validators a {
-    background-color:#fff;
+.validators samp {
     border-radius: 0.4rem;
-    padding:0.3ex;
+    padding:0.2em 0.3em;
     text-shadow: 0.1em 0.05em 0.15em #444; 
+    background-color:#fff;
+}
+
+.validators a {
+  border:solid 0.2em #FFF;
+}
+
+.validators a:hover {
+  border-color:#F00;
 }
diff --git a/index.php b/index.php
index 119a744..0f63830 100644
--- a/index.php
+++ b/index.php
@@ -49,8 +49,12 @@ try {
 	<a href="creerPano.php" title="Générer un panorama à partir d\'une image déjà envoyée">Générer un panorama</a>
       </p>
     </section>
-    <footer>
-      <p class="validators"><a href="http://validator.w3.org/check?uri=referer">page xHTML validé !</a></p>
-    </footer>
+    <footer class="validators"><samp>
+      page validée par
+      <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg"
+							       alt="Valid XHTML" title="xHTML validé !"/></a>
+      <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg"
+								      alt="CSS validé !" title="CSS validé !"/></a>
+    </samp></footer>
   </body>
 </html>
diff --git a/panorama.php b/panorama.php
index 72f97ac..61aebfb 100644
--- a/panorama.php
+++ b/panorama.php
@@ -191,8 +191,8 @@ EO_FORM_PARAM;
   <p id="res"></p>
   <div class="validators">
     page validée par
-    <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg" alt="Valid XHTML 1.1" title="xHTML 1.1 validé !"/></a>
-    <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg" alt="CSS validé !" title="CSS validé !"/></a>
+       <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg" alt="Valid XHTML" title="xHTML validé !"/></a>
+       <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg" alt="CSS validé !" title="CSS validé !"/></a>
   </div>
 </body>
 </html>
diff --git a/ref_points.php b/ref_points.php
index b898bc0..36f027d 100644
--- a/ref_points.php
+++ b/ref_points.php
@@ -22,4 +22,5 @@ $ref_points = array (
 		     "Cheminée du sang de serp" => array(43.62494, 1.42202, 170),
 		     "Château d'eau de blagnac" => array(43.62443, 1.39547, 170),
 		     "Château d'eau de fenouillet" => array(43.67984, 1.39290,170),
+		     "Tour du boulevard de Genève" => array(43.617408, 1.419533, 163),
 		     );