commit 862d44f8f22e283335b110fc01d8248101c8de88
Author: Marc Souviron <marc.souviron@vous-et-nous.com>
Date:   Sat Aug 24 11:41:12 2013 +0200

    amélioration cosmétiques et remise à jour de la liste des fichiers.

diff --git a/creerPano.php b/creerPano.php
new file mode 100644
index 0000000..b335fc9
--- /dev/null
+++ b/creerPano.php
@@ -0,0 +1,62 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
+   <head>
+   <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+   <link rel="stylesheet" media="screen" href="css/ttn_style_1.css" />
+   <title>creation d'un panoramique</title>
+    	<script type="text/javascript">
+    	
+		function showLoad(outgoingLink){
+ 
+		var link = document.getElementById(outgoingLink);
+		var loader = document.createElement('img');
+		loader.id = 'loader';
+		loader.src ='images/loader2.gif';
+		var li = link.parentNode;
+		li.appendChild(loader);
+		}
+    	</script>
+    </head>
+    <body>
+	    <img id="top" src="images/top.png" alt="">
+		<div id="page_container">
+		    <h1><img src="images/tetaneutral.svg"></h1>
+		  	<h2>Listes des photos sur le serveur</h2> 
+		  	<p>Cliquez pour générer un panorama</p>  
+       		<div id="containerList">
+		    	<ul>
+		    	
+	       		<?php
+                        
+	       		$base_dir = "upload/"; // modifier selon l'arborescence.
+				    try
+					{
+                                            // On ouvre le dossier ou se trouve les images
+					    $dir_fd = opendir($base_dir); 
+					    
+					    $i=0;         // Garantir l'unicité du id des liens.
+					    while (false !== ($image_name = readdir($dir_fd))) {
+					    	$dir = $base_dir.$image_name;   
+					    	
+							if ($image_name != "." && $image_name != "..")   // N'affiche pas les répertoires parents et courant.
+							{
+							     printf('<li><a href="genererPano.php?name=%s" id="link_'.$i.'" onclick="showLoad(this.id);return true;">%s</a></li>'."\n",$image_name,$image_name);
+							     $i++; 
+							}  
+							      
+					        	
+					    }
+					}
+					catch(Exception $e)
+					{
+						die('Erreur : '.$e->getMessage());
+					} 
+	       		?>
+       			</ul>
+    		</div>
+    		<div id="footer"><a href="./index.php">Retour à l'index</a></div>
+			
+    	</div>
+    	<img id="bottom" src="images/bottom.png" alt="">
+    </body>
+</html>
diff --git a/panorama.php b/panorama.php
index c58329e..72f97ac 100644
--- a/panorama.php
+++ b/panorama.php
@@ -156,8 +156,8 @@ EO_FORM_PARAM;
   
   <fieldset id="control"><legend>contrôle</legend>
       <label>Zoom : <input type="range" min="0" max="2" value="2" id="zoom_ctrl"/></label>
-      <label>Cap : <input type="number" min="0" max="360" step="10" value="0" autofocus="" id="angle_ctrl" step="any"/></label>
-      <label>Élévation : <input type="number" min="-90" max="90" step="1" value="0" autofocus="" id="elvtn_ctrl" step="any"/></label>
+      <label>Cap : <input type="number" min="0" max="360" step="10" value="0" autofocus="" id="angle_ctrl"/></label>
+      <label>Élévation : <input type="number" min="-90" max="90" step="1" value="0" autofocus="" id="elvtn_ctrl"/></label>
   </fieldset>
 
   <?php
@@ -190,7 +190,7 @@ EO_FORM_PARAM;
   ?>
   <p id="res"></p>
   <div class="validators">
-    pages validées par
+    page validée par
     <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg" alt="Valid XHTML 1.1" title="xHTML 1.1 validé !"/></a>
     <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg" alt="CSS validé !" title="CSS validé !"/></a>
   </div>
diff --git a/uploadReceive.php b/uploadReceive.php
index 8ebbd9d..9ffb544 100644
--- a/uploadReceive.php
+++ b/uploadReceive.php
@@ -2,7 +2,6 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
 <head>
    <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
-   <link rel="stylesheet" media="screen" href="css/index_style.css" />
    <title>Transfert de panoramique</title>
 </head>
 <body>